#include <bits/stdc++.h>

using namespace std;

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);

    int t, n, k;
    cin >> t >> n >> k;

    vector<int> a(n);
    for (int i = 0; i < n; i++) {
        cin >> a[i];
    }

    if (1 & n) cout << "DA" << endl;
    else cout << "NE" << endl;
    if (t == 0) return 0;
    for (int i = 1; i < n; i++) {
        cout << a[i] << " ";
    }

    cout << endl;
    return 0;
}